# Gimp.param_spec_config_path

    function param_spec_config_path(name: String, nick: String, blurb: String, type: Gimp.ConfigPathType, default_value: String, flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_config_path()
    }

Creates a param spec to hold a filename, dir name, or list of file or dir names. See g_param_spec_internal() for more information.

Since 2.4

name

  Canonical name of the param

nick

  Nickname of the param

blurb

  Brief description of param.

type

  a Gimp.ConfigPathType value.

default_value

  Value to use if none is assigned.

flags

  a combination of GObject.ParamFlags

Returns

  a newly allocated GObject.ParamSpec instance